EDIT - feature request #7118

migrate selection dialogs
12/06/2017 01:50 PM - Katja Luther

Status: Closed Start date:
Priority: New Due date:
Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.12
Severity: normal
Description
selection dialogs use €3 technology.
implement the dialog without using this filterDialog.
Subtasks:
feature request # 7119: implement filter button for selection dialogs Closed
feature request # 7120: implement new buttons for selection dialogs Closed
feature request # 7121: adapt remaining UuidAndTitleCache methods to use filter Closed
Related issues:
Related to EDIT - bug #6955: NamedAreaSelection Dialog needs to be adapted to... Closed
Associated revisions
Revision 5aeccadc - 11/21/2017 01:28 PM - Katja Luther
e4 migration of selection dialogs
Revision 0ce80af9 - 11/30/2017 11:57 AM - Katja Luther
smaller changes in selection dialog, use always the service for searching with pattern
Revision eb6c3391 - 11/30/2017 12:00 PM - Katja Luther
adapt label in selection diaog
Revision 6bc80155 - 12/04/2017 09:42 AM - Katja Luther
the preselected classification in taxonnodeselection dialog should be the actual one
Revision 351¢2236 - 12/05/2017 01:40 PM - Katja Luther
fix NPE for first search
Revision 31f617¢3 - 01/15/2018 01:51 PM - Katja Luther
ref #7118: add key listener for arrow key in search field of selection dialogs
Revision 76ecefOe - 01/15/2018 02:02 PM - Katja Luther
ref #7118: remove space between search field and list field and adapt indent for search field
History
#1 - 12/06/2017 01:56 PM - Katja Luther
- Related to bug #6955: NamedAreaSelection Dialog needs to be adapted to filtered getUuidAndTitleCache loading added
#2 - 12/06/2017 02:20 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller
please review
#3 - 12/19/2017 02:33 PM - Andreas Miiller

Some minor open issues:

e the search field should start at the same vertical position as the result box.
e the filter should end at the same vertical position as the result box

e Cancel is not yet translated
* The search dialogs do not have a title

The functionality itself works as expected.
#4 - 12/19/2017 02:40 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

#5 - 01/15/2018 01:49 PM - Katja Luther

Pfeiltasten funktionieren noch nicht so wie beim alten Dialog, d.h. wenn ich Pfeil nach unten Taste driicke, kann ich nicht automatisch innerhalb der
Ergebnisliste hoch und runter wandern. Das ist jedoch ziemlich natzlich um schnell mit dem Dialogfeld zu arbeiten. Vermutlich sollte auch die
Return-Taste entsprechend funktionieren (weif3 gerade nicht genau, ob das so war).

#6 - 01/15/2018 02:02 PM - Katja Luther

Suchdialog :
Alignment des Suchfelds (noch zu weit links)

#7 - 01/15/2018 02:31 PM - Katja Luther
Andreas Miller wrote:
Some minor open issues:

. " . " _
~~ * the filter should end at the same vertical position as the result box~~

e Cancel is not yet translated -> the ok and cancel buttons are default buttons, in the whole application they are not translated
* The search dialogs do not have a title

The functionality itself works as expected.

#8 - 05/16/2018 10:40 AM - Katja Luther
- Status changed from Feedback to Closed

Katja Luther wrote:

Pfeiltasten funktionieren noch nicht so wie beim alten Dialog, d.h. wenn ich Pfeil nach unten Taste driicke, kann ich nicht automatisch innerhalb
der Ergebnisliste hoch und runter wandern. Das ist jedoch ziemlich niitzlich um schnell mit dem Dialogfeld zu arbeiten. Vermutlich sollte auch die
Return-Taste entsprechend funktionieren (weil3 gerade nicht genau, ob das so war).

this is implemented now. So | close this ticket
